<?php
function create_image( $image,
                       $image_Conf )
{
  
  global $componentes_no_Prj;

  writeTO( '<img id="'. $image .'_Imagem" src="'. $image_Conf['image'] .'" alt="'.$image.'" />  ' );

}// End create_image()


/**
 *  create_image_css()
 *  ------------------------------------------------------------------------  //
 */
function create_image_css( $image,
                           $image_Global,
                           $image_Conf )
{
  global $projeto,
         $esquema,
         $modo_RAD;

  if( $modo_RAD )
  {
    $visible = 'inherit';
  }else
  {
    $visible = ($image_Conf[ 'visible' ] == 'true' ) ? 'inherit' : 'hidden';
  }// End if( $modo_RAD )

  if( $image_Global['width'] == 'auto' )
  {
    $width = '100';
  }else
  {
    $width = $image_Global['width'];
  }// End if( $image_Global['width'] == 'auto' )
  if( $image_Global['height'] == 'auto' )
  {
    $height = '100';
  }else
  {
    $height = $image_Global['height'];
  }// End if( $image_Global['height'] == 'auto' )

  $paddingTop = 3;
  $paddingBottom = 0;
  $paddingLeft = 5;
  $colorBorder = '#808080';

  writeTO( '  #' . $image . '{ '                                       );
  writeTO( '    position:absolute;'                                    );
  writeTO( '    top:' . $image_Global['top']                 . 'px;'   );
  writeTO( '    left:' . $image_Global['left']               . 'px;'   );
  writeTO( '    '                                                      );
  writeTO( '    z-index:10;'                                           );
  writeTO( ''                                                          );
  writeTO( '    width:' . $width               . 'px;' );
  writeTO( '    height:' . $height             . 'px;' );
  writeTO( '    '                                                      );
  writeTO( '    padding-top:' . $paddingTop . 'px;'                    );
  writeTO( '    padding-bottom:' . $paddingBottom . 'px;'              );
  writeTO( '    '                                                      );
  writeTO( '    color:' . $image_Global['color']               . ';'   );
  writeTO( '    background-color:' . $image_Global['bgcolor']  . ';'   );
  writeTO( '    '                                                      );
  writeTO( '    visibility:'. $visible .';'                            );
  writeTO( '    '                                                      );
  if( $modo_RAD )
  {
    writeTO( '    border-top:1px dotted #808080;'   );
    writeTO( '    border-bottom:1px dotted #808080;'   );
    writeTO( '    border-left:1px dotted #808080;'   );
    writeTO( '    border-right:1px dotted #808080;'   );
  }// End if( $modo_RAD )
  writeTO( '  }'                                                       );
  writeTO( '  '                                                        );

  writeTO('  #' . $image . '_Imagem {'                                 );
  writeTO('    position:absolute;'                                     );
  writeTO('    top:2'                       . 'px;'                    );
  writeTO('    left:2'                      . 'px;'                    );
  writeTO('  '                                                         );
  writeTO('    z-index:100;'                                            );
  writeTO('  '                                                         );
  writeTO('    visibility: inherit'              .     ';'             );
  writeTO('  '                                                         );
  writeTO('    border: 0px; '                                      );
  writeTO('  }'                                                        );


}// End create_image_css()

?>
